summaryrefslogtreecommitdiffstats
path: root/network/wireshark
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-11 22:26:00 +0200
committer David Somero2010-05-11 22:26:00 +0200
commitd19a749e8f2ce7c6235a93ff78da7430f4a9ab2b (patch)
treef3573ac94f432eb1b3ababdb8db77af7041d1da4 /network/wireshark
parent5d61b8d83eb61429f870443a3792ac7f0f924037 (diff)
downloadslackbuilds-d19a749e8f2ce7c6235a93ff78da7430f4a9ab2b.tar.gz
network/wireshark: Updated for version 1.1.1
Diffstat (limited to 'network/wireshark')
-rw-r--r--network/wireshark/README21
-rw-r--r--network/wireshark/doinst.sh3
-rw-r--r--network/wireshark/slack-desc20
-rw-r--r--network/wireshark/wireshark.SlackBuild68
-rw-r--r--network/wireshark/wireshark.info12
5 files changed, 80 insertions, 44 deletions
diff --git a/network/wireshark/README b/network/wireshark/README
index 39ae32f69d..6725fb5a1e 100644
--- a/network/wireshark/README
+++ b/network/wireshark/README
@@ -1,11 +1,14 @@
-WireShark (aka Ethereal)
+Wireshark (aka Ethereal) is a free packet sniffer computer application. It is
+used for network troubleshooting, analysis, software and communications
+protocol development, and education. In June 2006 the project was
+renamed from Ethereal due to trademark issues.
-Same developers, same code, different name. The Ethereal network protocol
-analyzer has changed its name to Wireshark.
+The functionality Wireshark provides is very similar to tcpdump, but it has
+a graphical front-end, and many more information sorting and filtering
+options. It allows the user to see all traffic being passed over the network
+(usually an Ethernet network but support is being added for others) by
+putting the network interface into promiscuous mode.
-Wireshark's powerful features make it the tool of choice for network
-troubleshooting, protocol development, and education worldwide.
-
-Wireshark was written by an international group of networking experts, and is
-an example of the power of open source. It runs on Windows, Linux, UNIX, and
-other platforms.
+Wireshark uses the cross-platform GTK+ widget toolkit. Its powerful features
+make it the tool of choice for network troubleshooting, protocol development,
+and education worldwide.
diff --git a/network/wireshark/doinst.sh b/network/wireshark/doinst.sh
new file mode 100644
index 0000000000..b786824b98
--- /dev/null
+++ b/network/wireshark/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/network/wireshark/slack-desc b/network/wireshark/slack-desc
index 6650cb9335..e9540fc8ab 100644
--- a/network/wireshark/slack-desc
+++ b/network/wireshark/slack-desc
@@ -5,15 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
-wireshark: WireShark (formerly knows as Ethereal)
+ |-----handy-ruler---------------------------------------------------|
+wireshark: WireShark (packet sniffer and protocol analyzer)
wireshark:
-wireshark: Same developers, same code, different name. The Ethereal network
-wireshark: protocol analyzer has changed its name to Wireshark.
-wireshark:
-wireshark: Wireshark's powerful features make it the tool of choice for network
+wireshark: Wireshark (aka Ethereal) is a free packet sniffer computer
+wireshark: application. It is used for network troubleshooting, analysis,
+wireshark: software and communications, protocol development and education.
+wireshark:
+wireshark: Wireshark uses the cross-platform GTK+ widget toolkit. Its
+wireshark: powerful features make it the tool of choice for network
wireshark: troubleshooting, protocol development, and education worldwide.
-wireshark: Wireshark was written by an international group of networking
-wireshark: experts, and is an example of the power of open source. It runs on
-wireshark: Windows, Linux, UNIX, and other platforms.
-wireshark:
+wireshark:
+wireshark:
diff --git a/network/wireshark/wireshark.SlackBuild b/network/wireshark/wireshark.SlackBuild
index 938c15d61f..abf3a2a0d0 100644
--- a/network/wireshark/wireshark.SlackBuild
+++ b/network/wireshark/wireshark.SlackBuild
@@ -1,15 +1,36 @@
#!/bin/sh
# Slackware build script for wireshark
-# Written by Jick Nan (jick.nan@gmail.com)
-# Modified by the SlackBuilds.org project
+# Originally written by Jick Nan (jick.nan@gmail.com)
+# Copyright 2008 Michiel van Wessem, Manchester, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wireshark
-VERSION=0.99.6
+VERSION=${VERSION:-1.1.1}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -19,14 +40,18 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -39,35 +64,40 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--with-ssl=/usr/lib \
--enable-threads \
- || exit 1
+ --disable-static \
+ --disable-debug
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-fi
-
-if [ -d $PKG/usr/info ]; then
- rm -rf $PKG/usr/info/dir
- gzip -9 $PKG/usr/info/*.info*
-fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog FAQ INSTALL* NEWS README* \
+cp -a AUTHORS* COPYING ChangeLog FAQ INSTALL* NEWS README* \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/icons/{hi,lo}color/{16x16/apps,32x32/apps,48x48/apps}
+cp $PRGNAM.desktop $PKG/usr/share/applications
+for col in {lo,hi}; do
+ for size in {16,32,48}; do
+ cp image/${col}${size}-app-$PRGNAM.png \
+ $PKG/usr/share/icons/${col}color/${size}x${size}/apps/$PRGNAM.png
+ done
+done
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/wireshark/wireshark.info b/network/wireshark/wireshark.info
index 69d700f029..2884ab5568 100644
--- a/network/wireshark/wireshark.info
+++ b/network/wireshark/wireshark.info
@@ -1,8 +1,8 @@
PRGNAM="wireshark"
-VERSION="0.99.6"
+VERSION="1.1.1"
HOMEPAGE="http://www.wireshark.org/"
-DOWNLOAD="http://www.wireshark.org/download/src/all-versions/wireshark-0.99.6.tar.gz"
-MD5SUM="d9c723032c424b3a210a0426167e9732"
-MAINTAINER="Jick Nan"
-EMAIL="jick.nan@gmail.com"
-APPROVED="BP{k}"
+DOWNLOAD="http://www.wireshark.org/download/src/wireshark-1.1.1.tar.gz"
+MD5SUM="5814871a5fe2ba3d238373e5a2bc1efd"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="David Somero"